--- linux-2.6.27.6/sound/soc/sm501/sm501-pcm.h	1970-01-01 08:00:00.000000000 +0800
+++ linux-2.6.27.6.yaffs/sound/soc/sm501/sm501-pcm.h	2011-06-21 14:32:45.000000000 +0800
@@ -0,0 +1,27 @@
+/*
+ *  Based on s3c24xx-pcm.h
+ *
+ *  This program is free software; you can redistribute  it and/or modify it
+ *  under  the terms of  the GNU General  Public License as published by the
+ *  Free Software Foundation;  either version 2 of the  License, or (at your
+ *  option) any later version.
+ *
+ */
+
+#ifndef _SM501_PCM_H
+#define _SM501_PCM_H
+
+//#define SM501_AC97_P_PERIOD_SIZE  1152  //Modified on 23/03/2010 to fix the audio noise
+#define SM501_AC97_P_PERIOD_SIZE  1020
+#define SM501_AC97_P_PERIOD_COUNT 256
+#define SM501_AC97_C_PERIOD_SIZE  1020
+#define SM501_AC97_C_PERIOD_COUNT 256
+
+struct sm501_pcm_dma_params {
+	struct sm501_audio *s;
+};
+
+/* platform data */
+extern struct snd_soc_platform sm501_soc_platform;
+
+#endif
